<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier Emplacement</h4>

                        <p *ngFor=" let c of Arrayemplacement" class="span"> ID :  {{c.id}}  </p>
                    </div>
                    <div class="card-body">

                    </div>
                    <div class="card-body">
                        <form [formGroup]="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <span> Reference </span><br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput formControlName="reference" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('reference')"> Champ reference manquant</span>
                                </div>
                                <div class="col-md-6">
                                    <span> Type </span><br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="type" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('type')"> Champ type manquant</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <span> Libellé emplacement </span><br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="libelle_emplacement" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('libelle_emplacement')"> Champ libellé emplacement manquant  </span>
                                </div>
                                <div class="col-md-6">
                                    <span> Description </span><br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="description" type="text">
                                    </mat-form-field>
                                </div>
                                <div class="erreur">{{errorMessage}}</div>
                            </div>
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>

                            <button mat-raised-button type="submit" class="btn  btn-success pull-right"
                                    [disabled]="form.invalid" (click)="modifierEmplacement()">Modifier</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
